Bug 69737 - more missing kernel header files
more missing kernel header files
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: glibc-kernheaders (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-24 17:10 EDT by Need Real Name
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-25 09:57:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-24 17:10:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.51 [en] (WinNT; U)

Description of problem:
Installed glibc-kernheaders-2.4-7.16.i386.rpm to fix problem with msr.h.
Now have a problem with asm/pgtable.h including asm/fixmap.h which doesn't exist in asm-i386
Also, linux/delay.h includes asm/delay.h which doesn't exist in asm-i386
Also, asm-i386 does not contain uaccess.h



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. ls /usr/include/asm/fixmap.h
2. ls /usr/include/asm/uaccess.h
3.
	

Additional info:
Comment 1 Arjan van de Ven 2002-07-24 17:16:19 EDT
linux/delay.h contains NO userspace usable code... why on earth does someone
include it?
same for asm/pgtable.h....
Comment 2 Need Real Name 2002-07-25 09:37:03 EDT
asm/pgtable.h is included by linux/vmalloc.h
Comment 3 Arjan van de Ven 2002-07-25 09:41:35 EDT
but linux/vmalloc.h is also very much a kernel-internal header that contains
zero userspace usable parts...
Comment 4 Need Real Name 2002-07-25 09:53:07 EDT
The software being built is a driver that was delivered with a pci card.  The driver builds fine on an older linux system.  Even if the include for vmalloc.h is commented 
out (which it needs for vfree), there is still the problem with uaccess.h which is needed for put_user().
Comment 5 Arjan van de Ven 2002-07-25 09:57:29 EDT
Oh you're compiling a KERNEL file?
Why on earth are you using glibc headers then? That'll never work!

the kernel headers can be found in

/lib/modules/`uname -r`/build/include

assuming you have the kernel-source rpm instaled.

Comment 6 Need Real Name 2002-07-25 12:18:34 EDT
Changed the makefile to use the kernel headers.  All is well, thanks.

Note You need to log in before you can comment on or make changes to this bug.